-- na danou polohu zobrazi text
local text = {
  up= " motor iii",
  mid= " motor mmm",
  down = " motor 0"
}

local options = {
  {"Switch", SOURCE, 0},
  {"Color", COLOR, WHITE},
  {"Top", VALUE, 0, 0, 100},
  {"Left", VALUE, 0, 0, 200},
  {"Font", VALUE, 1, 1, 4}
}

local function create(zone, options)
  local wgt = {zone = zone, options = options}
  return wgt
end

local function update(wgt, options)
  if (wgt == nil) then
    return
  end
  wgt.options = options
end

local function background(wgt)
  return
end

------------------------------------------------------------

function refresh(wgt)
  if (wgt == nil) then
    return
  end

  if (wgt.options == nil) then
    return
  end

  if (wgt.options.Switch == nil) then
    return
  end

  lcd.setColor(CUSTOM_COLOR, wgt.options.Color)

  local swPos = getValue(wgt.options.Switch)
 
  local x = wgt.zone.x + wgt.options.Left
  local y = wgt.zone.y + wgt.options.Top
  local flags = CUSTOM_COLOR

  if (wgt.options.Font == 1) then flags = CUSTOM_COLOR + SMLSIZE end
  if (wgt.options.Font == 3) then flags = CUSTOM_COLOR + MIDSIZE end
  if (wgt.options.Font == 4) then flags = CUSTOM_COLOR + DBLSIZE end
  
  if (swPos > 10) then
    lcd.drawText(x, y, text.up, flags)
  elseif (swPos < -10 ) then
    lcd.drawText(x, y, text.down, flags)
  else 
    lcd.drawText(x, y, text.mid, flags)
  end

  return
end

return {
  name = "SWText",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}
